Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004179TestLinkTest Plan (builds, milestones, test assign)public2011-01-20 10:272012-09-01 19:59
Reporterpkucka 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSXPOS VersionSP3
Product Version1.9 (Prague) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004179: Displaying results of Filtering by ‘Execution type’ in ‘Add/Remove Test cases to Test Plan’ is broken
DescriptionIn 'add/remove Test Cases' site result of filtering are not displayed correctly on the right hand side panel.
When you want select only automated (or only manual) jobs to be added to the test plan this filtering doesnt help.
This problem makes assigning Test Cases to Test Plans a real pain
I have applied fixes for 3995, 4024 and 4070 and problem is still there.
Steps To Reproduce1. In a new project create 3 testsuites (XML attached:
    First – create couple of Test Cases with execution type – Manual
    Second - create couple of Test Cases with execution type – Automated
    Third - create one Test Cases with execution type – Manual and second Test Case execution type – Automated
2. Create a new test plan and to to ‘Add/Remove Test cases’
3. Filter all Testsuites by ‘Execution type’ Manual
4. As a result you will see that there were two Test Cases in First Testsuite and one in third Testsuite
5. Click on third Testsuite to display Test Case selected by Filtering
6. Both Test Cases, manual one and automated one are listed which is wrong. Only manual job should be listed on the right hand side panel
TagsCustom Fields, Filters
Database (MySQL,Postgres,etc)MySQL 5.1.37
BrowserFirefox 3.6.13 Chrome 8.0.552.237
PHP Version5.2.10
TestCaseID
QA Team - Task Workflow Status
Attached Filesxml file icon Testsuite.xml [^] (2,528 bytes) 2011-01-20 10:27
jpg file icon TL_filter_exec_type.jpg [^] (299,994 bytes) 2011-12-01 22:27

- Relationships

-  Notes
(0015198)
Julian (reporter)
2011-06-09 09:39

Product Version 1.9 (Prague)

-> this is not the information we need. We need exact version. For Example 1.9.2

Let us know
(0016109)
Chipchyk (reporter)
2011-12-01 22:27

I have the same problem for Product Version 1.9.3
(0016124)
fman (administrator)
2011-12-04 18:21

This issue has been solved on 1.9 branch that will result on 1.9.4
(0017360)
fman (administrator)
2012-09-01 19:59

1.9.4 released

- Issue History
Date Modified Username Field Change
2011-01-20 10:27 pkucka New Issue
2011-01-20 10:27 pkucka File Added: Testsuite.xml
2011-01-20 10:28 pkucka Tag Attached: Filters
2011-01-20 10:28 pkucka Tag Attached: Custom Fields
2011-06-09 09:39 Julian Note Added: 0015198
2011-06-09 09:39 Julian Status new => feedback
2011-12-01 22:27 Chipchyk File Added: TL_filter_exec_type.jpg
2011-12-01 22:27 Chipchyk Note Added: 0016109
2011-12-04 18:21 fman Note Added: 0016124
2011-12-10 16:10 fman Category Custom fields => Test Plan (builds, milestones, test assign)
2011-12-10 16:10 fman Status feedback => resolved
2011-12-10 16:10 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2011-12-10 16:10 fman Resolution open => fixed
2011-12-10 16:10 fman Assigned To => fman
2012-09-01 19:59 fman Note Added: 0017360
2012-09-01 19:59 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker